Subject: Re: [PATCH 1/5] cachefiles: Fix __cachefiles_prepare_write()

From: Simon Horman <[email-masked]>
Date: Tue, 9 Jan 2024 08:32:57 +0000

On Mon, Jan 08, 2024 at 10:31:30PM +0000, David Howells wrote:
> Simon Horman <[email-masked]> wrote:
> 
> > I realise these patches have been accepted, but I have a minor nit:
> > pos is now unsigned, and so cannot be less than zero.
> 
> Good point.  How about the attached patch.  Whilst I would prefer to use
> unsigned long long to avoid the casts, it might 

Hi David,

I would also prefer to avoid casts, but I agree this is a good way forward.
Thanks for the quick fix.

Reviewed-by: Simon Horman <[email-masked]>